// Vraag 4
let teller_clicks = 0;

const fetchGame = async (gameButton) => {
    const gameName = document.getElementById(gameButton).innerHTML;
    const response = await fetch(`http://localhost:3000/games/name/${gameName}`);
    const game = await response.json();
    return game;
};

const printGame = (game) => {
    const id = game.id;
    const naam = game.name;
    const type = game.type;
    const waardering = game.rating;
    const favoriet = game.favourite ? "true" : "false";

    const ul = document.querySelector("ul");
    ul.innerHTML = "";
    voegLiToe(ul, "id", id);
    voegLiToe(ul, "naam", naam);
    voegLiToe(ul, "type", type);
    voegLiToe(ul, "waardering", waardering);
    voegLiToe(ul, "favoriet", favoriet);
};

const voegLiToe = (ul, item_naam, list_item) => {
    const li = document.createElement("li");
    li.innerHTML = `${item_naam}: ${list_item}`;
    ul.appendChild(li);
};

const fetchAndPrintGame = async (spel) => {
    const gevraagd_spel = await fetchGame(spel);
    printGame(gevraagd_spel);
};

const updateTeller = (aantalClicks) => {
    const teller = document.getElementById("aantalKliks");
    teller.innerHTML = `Aantal keer op een knop gedrukt = ${aantalClicks}`;
};

// Evenlisteners
document
    .getElementById("spel1")
    .addEventListener("click", () => {
        fetchAndPrintGame("spel1");
        updateTeller(++teller_clicks);
    });

document
    .getElementById("spel2")
    .addEventListener("click", () => {
        fetchAndPrintGame("spel2");
        updateTeller(++teller_clicks);
    });
